Bug 119835 - New port: devel/py-DecoratorTools - class, function, and metaclass decorators
Summary: New port: devel/py-DecoratorTools - class, function, and metaclass decorators
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dryice Dong Liu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-20 18:10 UTC by alexander smishlajev
Modified: 2008-01-28 09:31 UTC (History)
0 users

See Also:


Attachments
file.shar (2.17 KB, text/plain)
2008-01-20 18:10 UTC, alexander smishlajev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description alexander smishlajev 2008-01-20 18:10:01 UTC
Installing DecoratorTools gives access to the peak.util.decorators module. The tools in this module have been bundled for years inside of PEAK, PyProtocols, RuleDispatch, and the zope.interface package, so they have been widely used and tested.

Recent versions of the TurboGears framework (ported to FreeBSD as www/py-turbogears) require the DecoratorTools package.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-01-20 18:10:36 UTC
Class Changed
From-To: update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-01-20 18:10:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 3 Dryice Dong Liu freebsd_committer 2008-01-24 17:00:25 UTC
Responsible Changed
From-To: freebsd-python->dryice

I'll take it.
Comment 4 dfilter service freebsd_committer 2008-01-28 09:23:41 UTC
dryice      2008-01-28 09:23:35 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/py-decoratortools Makefile distinfo pkg-descr 
  Log:
  Installing DecoratorTools gives access to the peak.util.decorators module.
  The tools in this module have been bundled for years inside of PEAK,
  PyProtocols, RuleDispatch, and the zope.interface package, so they have been
  widely used and tested.
  
  Recent versions of the TurboGears framework (ported to FreeBSD as
  www/py-turbogears) require the DecoratorTools package.
  
  PR:             ports/119835
  Submitted by:   alexander smishlajev <alex@ank-sia.com>
  
  Revision  Changes    Path
  1.2974    +1 -0      ports/devel/Makefile
  1.1       +25 -0     ports/devel/py-decoratortools/Makefile (new)
  1.1       +3 -0      ports/devel/py-decoratortools/distinfo (new)
  1.1       +10 -0     ports/devel/py-decoratortools/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Dryice Dong Liu freebsd_committer 2008-01-28 09:31:31 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!